## ros-jazzy-mcap-vendor 0.26.5

=== debian/changelog ===
ros-jazzy-mcap-vendor (0.26.5-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-mcap-vendor (0.26.4-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 26 Jun 2024 16:00:00 -0000

ros-jazzy-mcap-vendor (0.26.3-1bookworm) bookworm; urgency=high

  * Update mcap-releases-cpp- into CMakeLists.txt (#1612 <https://github.com/ros2/rosbag2/issues/1612>) (#1631 <https://github.com/ros2/rosbag2/issues/1631>)
    Co-authored-by: mosfet80 <mailto:realeandrea@yahoo.it>
  * Contributors: mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 14 May 2024 16:00:00 -0000

ros-jazzy-mcap-vendor (0.26.2-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-mcap-vendor (0.26.1-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 16 Apr 2024 16:00:00 -0000

ros-jazzy-mcap-vendor (0.26.0-1bookworm) bookworm; urgency=high

  * Switch to using ament_vendor_package for lz4. (#1583 <https://github.com/ros2/rosbag2/issues/1583>)
  * Contributors: Chris Lalancette

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-mcap-vendor (0.25.0-1bookworm) bookworm; urgency=high

  * Switch to target_link_libraries everywhere. (#1504 <https://github.com/ros2/rosbag2/issues/1504>)
  * Contributors: Chris Lalancette

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-mcap-vendor (0.24.0-1bookworm) bookworm; urgency=high

  * Update mcap to v1.1.0 (#1361 <https://github.com/ros2/rosbag2/issues/1361>)
  * Contributors: Emerson Knapp

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-mcap-vendor (0.23.0-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-mcap-vendor (0.22.0-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-mcap-vendor (0.21.0-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-mcap-vendor (0.20.0-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-mcap-vendor (0.19.0-1bookworm) bookworm; urgency=high

  * mcap_vendor: add readme with versioning procedure (#1230 <https://github.com/ros2/rosbag2/issues/1230>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * mcap_vendor: only install public headers (#1207 <https://github.com/ros2/rosbag2/issues/1207>)
  * Fixes policy CMP0135 warning for CMake >= 3.24 for mcap_vendor (#1208 <https://github.com/ros2/rosbag2/issues/1208>)
  * mcap_vendor: download MCAP source via tarball (#1204 <https://github.com/ros2/rosbag2/issues/1204>)
  * rosbag2_cpp: test more than one storage plugin (#1196 <https://github.com/ros2/rosbag2/issues/1196>)
  * rosbag2_storage_mcap: merge into rosbag2 repo (#1163 <https://github.com/ros2/rosbag2/issues/1163>)
  * Contributors: Cristóbal Arroyo, Michael Orlov, james-rms

 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 12 Jan 2023 16:00:00 -0000

ros-jazzy-mcap-vendor (0.6.0-1bookworm) bookworm; urgency=high

  * Fix Windows build (#73 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/73>)
    Update mcap version to newest windows-compatible release.
    Add visibility macros for tests.
    Add clang-format preprocessor indentation for visibility_control to be readable.
  * Contributors: Emerson Knapp

 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 27 Nov 2022 16:00:00 -0000

ros-jazzy-mcap-vendor (0.5.0-1bookworm) bookworm; urgency=high

  * mcap_vendor: update to v0.6.0 (#69 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/69>)
  * Cleanup in mcap_vendor package (#62 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/62>)
  * Switch to using the vendored zstd library. (#59 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/59>)
  * Contributors: Chris Lalancette, Michael Orlov, James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-mcap-vendor (0.4.0-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 05 Oct 2022 16:00:00 -0000

ros-jazzy-mcap-vendor (0.2.0-1bookworm) bookworm; urgency=high

  * Support timestamp-ordered playback (#50 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/50>)
  * Support regex topic filtering
  * Contributors: James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 07 Sep 2022 16:00:00 -0000

ros-jazzy-mcap-vendor (0.1.7-1bookworm) bookworm; urgency=high

  * Add all lz4 sources to fix undefined symbols at runtime (#46 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/46>)
  * Contributors: Emerson Knapp

 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 14 Aug 2022 16:00:00 -0000

ros-jazzy-mcap-vendor (0.1.6-1bookworm) bookworm; urgency=high

  * Upgrade mcap to fix LZ4 error and segfault (#42 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/42>)
    Incorporates fixes from https://github.com/foxglove/mcap/pull/478 and https://github.com/foxglove/mcap/pull/482
  * Add missing buildtool_depend on git (#37 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/37>)
    This vendor package uses git to fetch sources for other packages. It should declare a dependency on that build tool.
    This should address the current cause of RPM build failures for RHEL: https://build.ros2.org/view/Rbin_rhel_el864/job/Rbin_rhel_el864__mcap_vendor__rhel_8_x86_64__binary/
  * Contributors: Jacob Bandes-Storch, Scott K Logan

 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 21 Jul 2022 16:00:00 -0000

ros-jazzy-mcap-vendor (0.1.5-1bookworm) bookworm; urgency=high


