=== debian/control ===
Source: ros-jazzy-mcap-vendor
Section: misc
Priority: optional
Maintainer: Foxglove <ros-tooling@foxglove.dev>
Build-Depends: debhelper (>= 9.0.0), git, ros-jazzy-ament-cmake, ros-jazzy-liblz4-vendor, ros-jazzy-zstd-vendor, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-mcap-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-liblz4-vendor, ros-jazzy-zstd-vendor, ros-jazzy-ros-workspace
Description: mcap vendor package
